de.caff.generics

## Class MutableIntIndexable.Base

- java.lang.Object
- - de.caff.generics.IntCountable.Base
  - - de.caff.generics.IntIndexable.Base
    - - de.caff.generics.MutableIntIndexable.Base

- All Implemented Interfaces:
    Copyable<MutableIntIndexable>, IntCountable, IntIndexable, MutableIntIndexable, PrimitiveIntIterable, Sizeable, java.lang.Comparable<IntIndexable>, java.lang.Iterable<java.lang.Integer>
  Enclosing interface:
    MutableIntIndexable

      public abstract static class MutableIntIndexable.Base
      extends IntIndexable.Base
      implements MutableIntIndexable

  Abstract base class which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`.
  See Also:
    `Indexable.asBase()`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.MutableIntIndexable

      `MutableIntIndexable.Base`

    - ### Nested classes/interfaces inherited from interface de.caff.generics.IntIndexable

      `IntIndexable.EntryConsumer, IntIndexable.IntIndexableSpliterator`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.MutableIntIndexable

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.IntIndexable

      `SINGLE_0`

    - ### Fields inherited from interface de.caff.generics.PrimitiveIntIterable

      `EMPTY_INT_ITERATOR`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    - ### Methods inherited from class de.caff.generics.IntIndexable.Base

      `asBase, compareTo, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.MutableIntIndexable

      `asList, based, copy, copyInternally, copyOf, empty, fillFrom, fromArray, fromArray, fromByteIndexable, fromCharIndexable, fromDoubleIndexable, fromFloatIndexable, fromIndexable, fromIndexable, fromIntIndexable, fromIterable, fromLongIndexable, fromShortIndexable, getCopy, headSet, init, init, initByIndex, initByIndex, order, order, reverse, revert, revert, set, setFrom, setFrom, setFromArray, setMulti, shuffle, subSet, swap, swyp, sybSet, syt, tailSet, viewArray, viewArray, viewIndexable, viewList, zeroed`

    - ### Methods inherited from interface de.caff.generics.IntIndexable

      `addAllTo, addToArray, addToArray, asBase, asCollection, asIndexable, asLongIndexable, asUnsignedIndexable, binarySearch, binarySearch, compare, compareUnsigned, emptyIndexable, equal, equal, firstMatch, foldLeft, forEachIntEntry, frozen, frozenIntSpliterator, get, getMod, gyt, hash, indexes, intIndexes, intIterator, intIterator, intSpliterator, isEmpty, isOrdered, isStrictlyOrdered, iterator, lastMatch, listIterator, nextMatch, ordered, ordered, previousMatch, range, range, rangeFromSize, rotated, singleton, toArray, toList, toString, view, viewArray, viewAsBoolean, viewAsByte, viewAsChar, viewAsDouble, viewAsDouble, viewAsFloat, viewAsLong, viewAsLong, viewAsShort, viewAsUnsignedLong, viewByIndex, viewIndexable, viewIndexable, viewIndexable, viewList, viewList, viewList, viewNumberArray, viewOp, with, withAppendedValue, withCachedHash, withExchangedValueAt, withInsertedValueAt, withRemovedValueAt, withSwappedValuesAt, wyth`

    - ### Methods inherited from interface de.caff.generics.IntCountable

      `filtered, first, isEqual, isSorted, isStrictlySorted, last, sorted, toString, uniform, viewCollection, viewCollection, viewCollectionN, viewCollectionN`

    - ### Methods inherited from interface de.caff.generics.PrimitiveIntIterable

      `average, containsInt, forEachInt, forEachIntFragile, longSum, longSumX, spliterator, stream, sum, sumX`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

    - ### Methods inherited from interface de.caff.generics.Copyable

      `copy`

- - ### Constructor Detail

    - #### Base

          public Base()